# Uses of Class
javajs.util.BS

Packages that use BS
Package
Description
javajs.util
jspecview.common
org.jmol.adapter.readers.molxyz
org.jmol.adapter.readers.pdb
org.jmol.adapter.readers.quantum
org.jmol.adapter.readers.xml
org.jmol.adapter.smarter
org.jmol.adapter.writers
org.jmol.api
org.jmol.atomdata
org.jmol.awtjs.swing
org.jmol.bspt
Provides Binary Space Partitioning Functionality to spacially separate data structures in n-dimensions
org.jmol.dssx
org.jmol.export
org.jmol.geodesic
org.jmol.inchi
org.jmol.jvxl.api
org.jmol.jvxl.calc
org.jmol.jvxl.data
org.jmol.jvxl.readers
org.jmol.minimize
org.jmol.minimize.forcefield
org.jmol.modelkit
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.popup
org.jmol.quantum
org.jmol.render
org.jmol.renderbio
org.jmol.renderspecial
org.jmol.script
org.jmol.scriptext
org.jmol.shape
org.jmol.shapebio
org.jmol.shapecgo
org.jmol.shapespecial
org.jmol.shapesurface
org.jmol.smiles
Jmol SMILES, Jmol SMARTS, Jmol bioSMILES, and Jmol bioSMARTS
org.jmol.symmetry
org.jmol.util
org.jmol.viewer
org.openscience.jmol.app.janocchio

## Uses of BS in javajs.util

Methods in javajs.util that return BS
Modifier and Type
Method
Description
`static BS`
BS.`copy(BS bitsetToCopy)`
fast copy
`static BS`
BS.`newN(int nbits)`
Creates a bit set whose initial size is large enough to explicitly represent bits with indices in the range `0` through `nbits-1`.
`static BS`
BS.`unescape(String str)`
Methods in javajs.util with parameters of type BS
Modifier and Type
Method
Description
`void`
BS.`and(BS set)`
Performs a logical AND of this target bit set with the argument bit set.
`void`
BS.`andNot(BS set)`
Clears all of the bits in this `BitSet` whose corresponding bit is set in the specified `BitSet`.
`static BS`
BS.`copy(BS bitsetToCopy)`
fast copy
`static String`
BS.`escape(BS bs, char chOpen, char chClose)`
`boolean`
BS.`intersects(BS set)`
Returns true if the specified `BitSet` has any bits set to `true` that are also set to `true` in this `BitSet`.
`void`
BS.`or(BS set)`
Performs a logical OR of this bit set with the bit set argument.
`void`
BS.`xor(BS set)`
Performs a logical XOR of this bit set with the bit set argument.

## Uses of BS in jspecview.common

Methods in jspecview.common that return BS
Modifier and Type
Method
Description
`BS`
IntegralData.`getBitSet()`

## Uses of BS in org.jmol.adapter.readers.molxyz

Fields in org.jmol.adapter.readers.molxyz declared as BS
Modifier and Type
Field
Description
`BS`
MolReader.`bsDeleted`

## Uses of BS in org.jmol.adapter.readers.pdb

Methods in org.jmol.adapter.readers.pdb that return BS
Modifier and Type
Method
Description
`BS`
JmolDataReader.`getPlotSpinSet(Viewer vwr, BS bs, int modelIndex, P3 minXYZ, P3 maxXYZ)`
remove non-spin atoms and atoms with duplicated spin and set min/max XYZ for the plot
Methods in org.jmol.adapter.readers.pdb with parameters of type BS
Modifier and Type
Method
Description
`Object[]`
JmolDataReader.`getJmolDataFrameProperties(ScriptEval e, int tok, int[] propToks, String[] props, BS bs, P3 minXYZ, P3 maxXYZ, String format, boolean isPdbFormat)`
`BS`
JmolDataReader.`getPlotSpinSet(Viewer vwr, BS bs, int modelIndex, P3 minXYZ, P3 maxXYZ)`
remove non-spin atoms and atoms with duplicated spin and set min/max XYZ for the plot

## Uses of BS in org.jmol.adapter.readers.quantum

Fields in org.jmol.adapter.readers.quantum declared as BS
Modifier and Type
Field
Description
`protected BS`
GaussianReader.`namedSets`

## Uses of BS in org.jmol.adapter.readers.xml

Fields in org.jmol.adapter.readers.xml declared as BS
Modifier and Type
Field
Description
`protected BS`
CDXMLParser.`bsAtoms`
`protected BS`
CDXMLParser.`bsBonds`

## Uses of BS in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as BS
Modifier and Type
Field
Description
`BS[]`
Structure.`bsAll`
`BS`
AtomSetCollection.`bsAtoms`
`protected BS`
AtomSetCollectionReader.`bsFilter`
//////// FILTER /////////////////
`protected BS`
AtomSetCollectionReader.`bsModels`
`BS`
AtomSetCollection.`bsStructuredModels`
`BS`
Atom.`bsSymmetry`
Methods in org.jmol.adapter.smarter that return BS
Modifier and Type
Method
Description
`BS[]`
StructureIterator.`getBSAll()`
`BS`
AtomSetCollection.`getBSAtoms(int n)`
Create bsAtoms if it is null, and set bits if desired.
`BS`
StructureIterator.`getStructuredModels()`
Constructors in org.jmol.adapter.smarter with parameters of type BS
Modifier
Constructor
Description
``
`Structure(int modelIndex, STR structureType, STR substructureType, String structureID, String strandID, int strandCount, BS[] bsAll)`

## Uses of BS in org.jmol.adapter.writers

Fields in org.jmol.adapter.writers declared as BS
Modifier and Type
Field
Description
`protected BS`
CIFWriter.`bsOut`
Methods in org.jmol.adapter.writers with parameters of type BS
Modifier and Type
Method
Description
`boolean`
MOLWriter.`addMolFile(String title, int iModel, SB mol, BS bsAtoms, BS bsBonds, boolean asV3000, boolean asJSON, boolean noAromatic, Quat q, boolean is2d)`
`protected void`
CIFWriter.`prepareAtomSet(BS bs)`
`protected void`
FSG2SCIFConverter.`prepareAtomSet(BS bs)`
`String`
CDXMLWriter.`write(BS bs)`
`String`
CIFWriter.`write(BS bs)`
`String`
CMLWriter.`write(BS bs)`
`String`
PDBWriter.`write(BS bs)`
`String`
PWMATWriter.`write(BS bs)`
`String`
QCJSONWriter.`write(BS bs)`
`String`
XSFWriter.`write(BS bs)`

## Uses of BS in org.jmol.api

Methods in org.jmol.api that return BS
Modifier and Type
Method
Description
`BS`
JmolScriptManager.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
`BS`
JmolAnnotationParser.`getAtomBits(Viewer vwr, String key, Object dssr, Map<String,Object> cache, int type, int modelIndex, BS bsModel)`
`BS`
JmolScriptEvaluator.`getAtomBitSet(Object atomExpression)`
`BS`
JmolScriptManager.`getAtomBitSetEval(JmolScriptEvaluator eval, Object atomExpression)`
`abstract BS[]`
JmolAdapterStructureIterator.`getBSAll()`
`BS`
JmolEnvCalc.`getBsSurfaceClone()`
`abstract BS`
JmolViewer.`getElementsPresentBitSet(int modelIndex)`
`abstract BS`
JmolViewer.`getSmartsMatch(String smarts, BS bsSelected)`
`abstract BS`
JmolAdapterStructureIterator.`getStructuredModels()`
`BS`
SmilesMatcherInterface.`getSubstructureSet(Object pattern, Object target, int ac, BS bsSelected, int flags)`
`BS[]`
SmilesMatcherInterface.`getSubstructureSetArray(Object pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
`BS`
JmolAdapterAtomIterator.`getSymmetry()`
`BS`
JmolNMRInterface.`getUniqueTensorSet(BS bs)`
An attempt to find unique atoms using tensors.
`abstract BS`
JmolViewer.`getVisibleFramesBitSet()`
`BS`
SymmetryInterface.`notInCentroid(ModelSet modelSet, BS bsAtoms, int[] minmax)`
`BS`
SymmetryInterface.`removeDuplicates(ModelSet ms, BS bs, boolean highPrec)`
Methods in org.jmol.api with parameters of type BS
Modifier and Type
Method
Description
`void`
AtomIndexIterator.`addAtoms(BS bsResult)`
`BS`
JmolScriptManager.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
`abstract void`
JmolViewer.`calcAtomsMinMax(BS bs, BoxInfo boxInfo)`
`void`
JmolEnvCalc.`calculate(RadiusData rd, float maxRadius, BS bsSelected, BS bsIgnore, boolean disregardNeighbors, boolean onlySelectedDots, boolean isSurface, boolean multiModel)`
`void`
SymmetryInterface.`calculateCIPChiralityForAtoms(Viewer vwr, BS bsAtoms)`
`String`
JmolAnnotationParser.`calculateDSSRStructure(Viewer vwr, BS bsAtoms)`
`Object`
SmilesMatcherInterface.`compileSearchTarget(Node[] atoms, int atomCount, BS bitSet)`
`void`
JmolScriptEvaluator.`deleteAtomsInVariables(BS bsDeleted)`
`void`
JmolDataManager.`deleteModelAtoms(int firstAtomIndex, int nAtoms, BS bsDeleted)`
`Object`
SymmetryInterface.`findSpaceGroup(BS atoms, String xyzList, float[] unitCellParams, T3 origin, T3[] oabc, int flags)`
`void`
JmolAnnotationParser.`fixAtoms(int modelIndex, SV v, BS bsAddedMask, int type, int margin)`
`String`
JmolPropertyManager.`fixJMEFormalCharges(BS bsAtoms, String s)`
`BS`
JmolAnnotationParser.`getAtomBits(Viewer vwr, String key, Object dssr, Map<String,Object> cache, int type, int modelIndex, BS bsModel)`
`String`
JmolPropertyManager.`getChimeInfo(int tok, BS selectionSet)`
`int[][]`
SmilesMatcherInterface.`getCorrelationMaps(Object pattern, Node[] atoms, int ac, BS bsSelected, int flags)`
`Object`
JmolDataManager.`getData(String label, BS bsSelected, int dataType)`
`String`
JmolDataManager.`getDefaultVdwNameOrData(VDW type, BS bs)`
`String`
JmolInChI.`getInchi(Viewer vwr, BS atoms, Object molData, String options)`
`AtomIndexIterator`
SymmetryInterface.`getIterator(Viewer vwr, Atom atom, BS bstoms, float radius)`
`int[][]`
SmilesMatcherInterface.`getMapForJME(String jme, Atom[] at, BS bsAtoms)`
`void`
SmilesMatcherInterface.`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> bitSets, Lst<BS>[] vRings)`
`String`
JmolPropertyManager.`getModelCml(BS bs, int nAtomsMax, boolean addBonds, boolean doTransform, boolean allTrajectories)`
`String`
JmolPropertyManager.`getModelExtract(BS atomBitSet, boolean doTransform, boolean isModelKit, String type, boolean allTrajectories)`
`String`
JmolPropertyManager.`getModelFileInfo(BS visibleFramesBitSet)`
`abstract String`
JmolViewer.`getOpenSmiles(BS atoms)`
`String`
JmolPropertyManager.`getPdbAtomData(BS bs, OC out, boolean asPQR, boolean doTransform, boolean allTrajectories)`
`String`
JmolPropertyManager.`getPdbData(int modelIndex, String type, BS bsA, Object[] parameters, OC oc, boolean addStructure)`
`abstract BS`
JmolViewer.`getSmartsMatch(String smarts, BS bsSelected)`
`abstract String`
JmolViewer.`getSmiles(BS atoms)`
`String`
SmilesMatcherInterface.`getSmiles(Node[] atoms, int ac, BS bsSelected, String bioComment, int flags)`
`BS`
SmilesMatcherInterface.`getSubstructureSet(Object pattern, Object target, int ac, BS bsSelected, int flags)`
`BS[]`
SmilesMatcherInterface.`getSubstructureSetArray(Object pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
`Lst<Object>`
JmolNMRInterface.`getTensorInfo(String tensorType, String infoType, BS bs)`
`BS`
JmolNMRInterface.`getUniqueTensorSet(BS bs)`
An attempt to find unique atoms using tensors.
`BS`
SymmetryInterface.`notInCentroid(ModelSet modelSet, BS bsAtoms, int[] minmax)`
`BS`
SymmetryInterface.`removeDuplicates(ModelSet ms, BS bs, boolean highPrec)`
`void`
JmolSelectionListener.`selectionChanged(BS selection)`
Called when the selected atoms change
`SymmetryInterface`
SymmetryInterface.`setPointGroup(Viewer vwr, SymmetryInterface pointGroupPrevious, T3 center, T3[] atomset, BS bsAtoms, boolean haveVibration, float distanceTolerance, float linearTolerance, int maxAtoms, boolean localEnvOnly)`
`abstract void`
JmolViewer.`setSelectionSet(BS newSelection)`
`String`
SymmetryInterface.`staticTransformSpaceGroup(BS bs, String cleg, Object paramsOrUC, SB sb)`
`String`
JmolWriter.`write(BS bs)`
Method parameters in org.jmol.api with type arguments of type BS
Modifier and Type
Method
Description
`void`
SmilesMatcherInterface.`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> bitSets, Lst<BS>[] vRings)`

## Uses of BS in org.jmol.atomdata

Fields in org.jmol.atomdata declared as BS
Modifier and Type
Field
Description
`BS`
AtomData.`bsIgnored`
`BS[]`
AtomData.`bsMolecules`
`BS`
AtomData.`bsSelected`
Methods in org.jmol.atomdata with parameters of type BS
Modifier and Type
Method
Description
`AtomIndexIterator`
AtomDataServer.`getSelectedAtomIterator(BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean isMultiModel)`
`void`
AtomData.`transformXYZ(M4 mat, BS bs)`
allow for transformed XYZ

## Uses of BS in org.jmol.awtjs.swing

Methods in org.jmol.awtjs.swing with parameters of type BS
Modifier and Type
Method
Description
`void`
AbstractTableModel.`toHTML(SB sb, String id, BS bsSelectedRows)`

## Uses of BS in org.jmol.bspt

Methods in org.jmol.bspt with parameters of type BS
Modifier and Type
Method
Description
`void`
Bspf.`initialize(int modelIndex, P3[] atoms, BS modelAtomBitSet)`
`static int`
PointIterator.`withinDistPoints(float distance, P3 pt, P3[] ap3, P3[] ap31, BS bsSelected, Object[] ret)`
carry out various functions of the within() script function

## Uses of BS in org.jmol.dssx

Methods in org.jmol.dssx that return BS
Modifier and Type
Method
Description
`BS`
AnnotationParser.`getAtomBits(Viewer vwr, String key, Object dbObj, Map<String,Object> annotationCache, int type, int modelIndex, BS bsModel)`
////////////////// general post-load processing ////////////////
`BS`
DSSR1.`getAtomBits(Viewer vwr, String key, Object dbObj, Map<String,Object> annotationCache, int type, int modelIndex, BS bsModel)`
Methods in org.jmol.dssx with parameters of type BS
Modifier and Type
Method
Description
`String`
AnnotationParser.`calculateDSSRStructure(Viewer vwr, BS bsAtoms)`
`String`
DSSR1.`calculateDSSRStructure(Viewer vwr, BS bsAtoms)`
`void`
AnnotationParser.`fixAtoms(int modelIndex, SV dbObj, BS bsAddedMask, int type, int margin)`
Adjusts _atoms bitset to account for added hydrogen atoms.
`BS`
AnnotationParser.`getAtomBits(Viewer vwr, String key, Object dbObj, Map<String,Object> annotationCache, int type, int modelIndex, BS bsModel)`
////////////////// general post-load processing ////////////////
`BS`
DSSR1.`getAtomBits(Viewer vwr, String key, Object dbObj, Map<String,Object> annotationCache, int type, int modelIndex, BS bsModel)`

## Uses of BS in org.jmol.export

Methods in org.jmol.export with parameters of type BS
Modifier and Type
Method
Description
`protected Lst<Short>`
___Exporter.`getColorList(int i00, short[] colixes, int nVertices, BS bsSelected, Map<Short,Integer> htColixes)`
input an array of colixes; returns a Vector for the color list and a HashTable for correlating the colix with a specific color index
`protected int`
__CartesianExporter.`getCoordinateMap(T3[] vertices, int[] coordMap, BS bsValid)`
`protected int[]`
__CartesianExporter.`getNormalMap(T3[] normals, int nNormals, BS bsValid, Lst<String> vNormals)`
`protected void`
JSExporter.`jsSurface(Object applet, T3[] vertices, T3[] normals, int[][] indices, int nVertices, int nPolygons, int nFaces, BS bsPolygons, int faceVertexMax, int color, int[] vertexColors, int[] polygonColors)`
`protected void`
_VrmlExporter.`outputColorIndices(int[][] indices, int nPolygons, BS bsPolygons, int faceVertexMax, Map<Short,Integer> htColixes, short[] colixes, short[] polygonColixes)`
`protected void`
_StlExporter.`outputGeometry(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, BS bsPolygons, int faceVertexMax, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_VrmlExporter.`outputGeometry(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, BS bsPolygons, int faceVertexMax, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_X3dExporter.`outputGeometry(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, BS bsPolygons, int faceVertexMax, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
__CartesianExporter.`outputIndices(int[][] indices, int[] map, int nPolygons, BS bsPolygons, int faceVertexMax)`
`protected void`
___Exporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_IdtfExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_MayaExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_PovrayExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_TachyonExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
_VrmlExporter.`outputSurface(T3[] vertices, T3[] normals, short[] colixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`
`protected void`
JSExporter.`outputSurface(T3[] vertices, T3[] normals, short[] vertexColixes, int[][] indices, short[] polygonColixes, int nVertices, int nPolygons, int nTriangles, BS bsPolygons, int faceVertexMax, short colix, Lst<Short> colorList, Map<Short,Integer> htColixes, P3 offset)`

## Uses of BS in org.jmol.geodesic

Methods in org.jmol.geodesic that return BS
Modifier and Type
Method
Description
`BS`
EnvelopeCalculation.`getBsSurfaceClone()`
`BS[]`
EnvelopeCalculation.`getDotsConvexMaps()`
Methods in org.jmol.geodesic with parameters of type BS
Modifier and Type
Method
Description
`void`
EnvelopeCalculation.`calculate(RadiusData rd, float maxRadius, BS bsSelected, BS bsIgnore, boolean disregardNeighbors, boolean onlySelectedDots, boolean isSurface, boolean multiModel)`
`void`
EnvelopeCalculation.`reCalculate(BS bs, M3 m)`
problem prior to 12.3.18 was that dots once on the deodesic were not being moved.
`void`
EnvelopeCalculation.`setFromBits(int index, BS bs)`

## Uses of BS in org.jmol.inchi

Methods in org.jmol.inchi with parameters of type BS
Modifier and Type
Method
Description
`String`
InChIJNA.`getInchi(Viewer vwr, BS atoms, Object molData, String options)`
`String`
InChIJS.`getInchi(Viewer vwr, BS atoms, Object molData, String options)`
`protected String`
InchiJmol.`setParameters(String options, Object molData, BS atoms, Viewer vwr)`

## Uses of BS in org.jmol.jvxl.api

Methods in org.jmol.jvxl.api with parameters of type BS
Modifier and Type
Method
Description
`P3[]`
MeshDataServer.`calculateGeodesicSurface(BS bsSelected, float envelopeRadius)`

## Uses of BS in org.jmol.jvxl.calc

Fields in org.jmol.jvxl.calc declared as BS
Modifier and Type
Field
Description
`protected BS`
MarchingCubes.`bsExcludedPlanes`
`protected BS`
MarchingCubes.`bsExcludedTriangles`
`protected BS`
MarchingCubes.`bsExcludedVertices`
`protected BS`
MarchingCubes.`bsValues`
`BS`
MarchingCubes.`bsVoxels`
Constructors in org.jmol.jvxl.calc with parameters of type BS
Modifier
Constructor
Description
``
`MarchingCubes(VertexDataServer surfaceReader, VolumeData volumeData, Parameters params, BS bsVoxels)`

## Uses of BS in org.jmol.jvxl.data

Fields in org.jmol.jvxl.data declared as BS
Modifier and Type
Field
Description
`BS[]`
JvxlData.`jvxlExcluded`
`BS`
JvxlData.`thisSet`
Fields in org.jmol.jvxl.data with type parameters of type BS
Modifier and Type
Field
Description
`Map<String,BS>`
JvxlData.`vertexColorMap`
Methods in org.jmol.jvxl.data that return BS
Modifier and Type
Method
Description
`BS[]`
MeshData.`getSurfaceSet()`
`static BS`
JvxlCoder.`jvxlDecodeBitSet(String data)`
`static BS`
JvxlCoder.`jvxlDecodeBitSetRange(String data, int base, int range)`
Methods in org.jmol.jvxl.data with parameters of type BS
Modifier and Type
Method
Description
`static Object`
MeshData.`calculateVolumeOrArea(MeshData m, BS thisSet, boolean isArea, boolean getSets)`
`void`
MeshData.`invalidateVertices(BS bsInvalid)`
`static String`
JvxlCoder.`jvxlEncodeBitSet(BS bs)`
`static int`
JvxlCoder.`jvxlEncodeBitSet0(BS bs, int nPoints, SB sb)`
`static int`
JvxlCoder.`jvxlEncodeBitSetBuffer(BS bs, int nPoints, SB sb)`
`void`
JvxlData.`setSurfaceInfoFromBitSet(BS bs, P4 thePlane)`
`void`
JvxlData.`setSurfaceInfoFromBitSetPts(BS bs, P4 thePlane, P3 mapLattice)`
`void`
MeshData.`updateInvalidatedVertices(BS bs)`

## Uses of BS in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as BS
Modifier and Type
Field
Description
`BS[]`
Parameters.`bsExcluded`
`BS`
Parameters.`bsIgnore`
`BS`
Parameters.`bsSelected`
`BS`
Parameters.`bsSolvent`
`BS`
SurfaceGenerator.`bsVdw`
`protected BS`
JvxlXmlReader.`bsVoxelBitSet`
`BS[]`
Parameters.`intersection`
`protected BS`
SurfaceReader.`jvxlVoxelBitSet`
`BS`
Parameters.`surfaceAtoms`
Methods in org.jmol.jvxl.readers that return BS
Modifier and Type
Method
Description
`protected BS`
JvxlXmlReader.`getVoxelBitSet(int nPoints)`
Methods in org.jmol.jvxl.readers with parameters of type BS
Modifier and Type
Method
Description
`boolean`
SurfaceGenerator.`setProp(String propertyName, Object value, BS bs)`

## Uses of BS in org.jmol.minimize

Fields in org.jmol.minimize declared as BS
Modifier and Type
Field
Description
`BS`
MinAtom.`bs14`
`BS`
Minimizer.`bsAtoms`
`BS`
Minimizer.`bsMinFixed`
`BS`
MinAtom.`bsVdw`
Methods in org.jmol.minimize with parameters of type BS
Modifier and Type
Method
Description
`void`
Minimizer.`calculatePartialCharges(ModelSet ms, BS bsAtoms, BS bsReport)`
`boolean`
Minimizer.`minimize(int steps, double crit, BS bsSelected, BS bsFixed, BS bsBasis, int flags, String ff)`
`void`
MMConstraint.`set(int steps, BS bsAtoms, int[] atomMap)`

## Uses of BS in org.jmol.minimize.forcefield

Methods in org.jmol.minimize.forcefield with parameters of type BS
Modifier and Type
Method
Description
`float[]`
ForceFieldMMFF.`calculatePartialCharges(Bond[] bonds, int[] bTypes, Atom[] atoms, int[] aTypes, BS bsAtoms, boolean doRound)`
assign partial charges ala MMFF94
`boolean`
ForceFieldMMFF.`setArrays(Atom[] atoms, BS bsAtoms, Bond[] bonds, int rawBondCount, boolean doRound, boolean allowUnknowns)`
`abstract boolean`
ForceField.`setModel(BS bsElements, int elemnoMax)`
`boolean`
ForceFieldMMFF.`setModel(BS bsElements, int elemnoMax)`
`boolean`
ForceFieldUFF.`setModel(BS bsElements, int elemnoMax)`

## Uses of BS in org.jmol.modelkit

Fields in org.jmol.modelkit declared as BS
Modifier and Type
Field
Description
`protected final BS`
ModelKit.`bsKeyModels`
a bitset indicating the presence of element keys for models; clearing a bit will cause a new key to be produced.
`protected final BS`
ModelKit.`bsKeyModelsOFF`
tracks models for which the element key has been explicitly set OFF, overriding global SET elementKey ON
Methods in org.jmol.modelkit with parameters of type BS
Modifier and Type
Method
Description
`void`
ModelKit.`addLockedAtoms(SymmetryInterface sg, BS bsLocked)`
Only for the current model
`int`
ModelKit.`checkMovedAtoms(BS bsFixed, BS bsAtoms, P3[] apos0)`
Something has changed atom positions.
`int`
ModelKit.`cmdAssignAddAtoms(String type, P3[] pts, BS bsAtoms, float packing, String cmd)`
MODELKIT ADD @3 ...
`void`
ModelKit.`cmdAssignAtom(BS bs, P3 pt, String type, String cmd)`
A versatile method that allows changing element, setting charge, setting position, adding or deleting an atom via MODELKIT ASSIGN ATOM
`int`
ModelKit.`cmdAssignDeleteAtoms(BS bs)`
Delete all atoms that are equivalent to this atom.
`int`
ModelKit.`cmdAssignMoveAtoms(BS bsSelected, int iatom, P3 p, P3[] pts, boolean allowProjection, boolean isMolecule, boolean isCommand)`
`void`
ModelKit.`cmdMinimize(JmolScriptEvaluator eval, BS bsBasis, int steps, float crit, float rangeFixed, int flags)`
Minimize a unit cell with full symmetry constraints.
`void`
ModelKit.`cmdPackUnitCell(SymmetryInterface sym, BS bsAtoms, float packing)`
MODELKIT {1 0 0} PACKED
`int`
ModelKit.`cmdRotateAtoms(BS bsAtoms, P3[] points, float endDegrees)`
`void`
ModelKit.`minimizeEnd(BS bsBasis2, boolean isEnd)`
`int`
ModelKit.`moveMinConstrained(int iatom, P3 p, BS bsAtoms)`

## Uses of BS in org.jmol.modelset

Subclasses of BS in org.jmol.modelset
Modifier and Type
Class
Description
`class`
`BondSet`
Fields in org.jmol.modelset declared as BS
Modifier and Type
Field
Description
`BS`
Atom.`atomSymmetry`
`BS`
ModelSet.`bboxModels`
`protected BS`
ModelSet.`bsAll`
`protected BS`
BondCollection.`bsAromatic`
`BS`
Model.`bsAsymmetricUnit`
tracks all presymmetry asymmetric unit atoms; atoms added using the ModelKit will add to this.
`BS`
Model.`bsAtoms`
Note that this bitset may or may not include bsAtomsDeleted
`BS`
Model.`bsAtomsDeleted`
`BS`
AtomCollection.`bsClickable`
`BS`
AtomCollection.`bsModulated`
`BS`
AtomCollection.`bsPartialCharges`
`BS`
MeasurementData.`bsSelected`
`protected BS`
ModelSet.`bsSymmetry`
`BS`
AtomCollection.`bsVisible`
`protected BS[]`
ModelSet.`elementsPresent`
`BS`
ModelLoader.`structuresDefinedInFile`
`BS[]`
AtomCollection.`tainted`
// SETTABLE atomic properties ///////////////
Fields in org.jmol.modelset with type parameters of type BS
Modifier and Type
Field
Description
`Hashtable<String,BS>`
ModelSet.`htPeaks`
Methods in org.jmol.modelset that return BS
Modifier and Type
Method
Description
`BS`
ModelSet.`addHydrogens(Lst<Atom> vConnections, P3[] pts)`
these are hydrogens that are being added due to a load 2D command and are therefore not to be flagged as NEW
`BS`
ModelSet.`deleteModels(BS bsModels)`
`BS`
ModelSet.`findAtomsInRectangle(Rectangle rect)`
`BS`
Atom.`findAtomsLike(String atomExpression)`
`BS`
ModelSet.`fixDeletedBonds(BS bs)`
`protected BS`
ModelSet.`getAtomBitsMaybeDeleted(int tokType, Object specInfo)`
`BS`
AtomCollection.`getAtomBitsMDa(int tokType, Object specInfo, BS bs)`
general unqualified lookup of atom set type
`protected BS`
BondCollection.`getAtomBitsMDb(int tokType, Object specInfo)`
`BS`
ModelSet.`getAtoms(int tokType, Object specInfo)`
general lookup for integer type -- from Eval
`BS`
BondCollection.`getAtomsConnected(float min, float max, int intType, BS bs)`
`BS`
AtomCollection.`getAtomsFromAtomNumberInFrame(int atomNumber)`
`BS`
AtomCollection.`getAtomsNearPlane(float distance, P4 plane)`
`BS`
ModelSet.`getAtomsWithin(float distance, T3 coord, BS bsResult, int modelIndex)`
`BS`
ModelSet.`getAtomsWithinRadius(float distance, BS bs, boolean withinAllModels, RadiusData rd, BS bsSubset)`
Get atoms within a specific distance of any atom in a specific set of atoms either within all models or within just the model(s) of those atoms
`BS`
ModelSet.`getBitSetTrajectories()`
`BS`
BondCollection.`getBondsForSelectedAtoms(BS bsAtoms, boolean bondSelectionModeOr)`
`BS[]`
ModelSet.`getBsBranches(float[] dihedralList)`
`BS`
Group.`getBSSideChain()`
`BS`
AtomCollection.`getChainBits(int chainID)`
`BS`
AtomCollection.`getClickableSet(boolean forceNew)`
`BS`
ModelSet.`getConformation(int modelIndex, int conformationIndex, boolean doSet, BS bsSelected)`
`BS`
ModelSet.`getConnectingAtoms(BS bsAtoms, BS bsFixed)`
`BS`
ModelSet.`getCurrentSpinAtoms()`
include this frame and all related frames
`BS`
ModelSet.`getElementsPresentBitSet(int modelIndex)`
`BS`
ModelSet.`getEquivalentAtoms(int iatom)`
`BS`
ModelSet.`getGroupsWithin(int nResidues, BS bs)`
`BS`
ModelSet.`getIterativeModels(boolean allowJmolData)`
only some models can be iterated through.
`BS`
ModelSet.`getModelAtomBitSetIncludingDeleted(int modelIndex, boolean asCopy)`
Note that this method returns all atoms, included deleted ones.
`BS`
ModelSet.`getModelAtomBitSetIncludingDeletedBs(BS bsModels)`
note -- this method returns ALL atoms, including deleted.
`BS`
ModelSet.`getModelBS(BS atomList, boolean allTrajectories)`
Get the set of models associated with a set of atoms.
`BS`
ModelSet.`getMoleculeBitSet(BS bs)`
return cumulative sum of all atoms in molecules containing these atoms
`BS`
ModelSet.`getMoleculeBitSetForAtom(int atomIndex)`
`BS`
AtomCollection.`getSeqcodeBits(int seqcode, boolean returnEmpty)`
`BS`
ModelSet.`getSequenceBits(String specInfo, BS bsAtoms, BS bsResult)`
// bio-only methods /////
`BS`
AtomCollection.`getSpecNameOrNull(String name, boolean checkStar)`
`BS`
ModelSet.`getSymmetryEquivAtoms(BS bsAtoms, SymmetryInterface sym, BS bsModelAtoms)`
Return a bitset of equivalent atoms
`BS`
AtomCollection.`getTaintedAtoms(int type)`
`BS`
AtomCollection.`getVisibleSet(boolean forceNew)`
`BS`
ModelSet.`setConformation(BS bsAtoms)`
Methods in org.jmol.modelset with parameters of type BS
Modifier and Type
Method
Description
`Atom`
ModelSet.`addAtom(int modelIndex, Group group, int atomicAndIsotopeNumber, String atomName, String atomType, int atomSerial, int atomSeqID, int atomSite, P3 xyz, float radius, V3 vib, int formalCharge, float partialCharge, float occupancy, float bfactor, Lst<Object> tensors, boolean isHetero, boolean isNegDisorder, byte specialAtomID, BS atomSymmetry, float bondRadius)`
`void`
AtomIteratorWithinModel.`addAtoms(BS bsResult)`
turns this into a SPHERICAL iterator for "within Distance" measures
`void`
BondCollection.`addConnectedHAtoms(Atom atom, BS bsAtoms)`
`StateScript`
ModelSet.`addStateScript(String script1, BS bsBonds, BS bsAtoms1, BS bsAtoms2, String script2, boolean addFrameNumber, boolean postDefinitions)`
`void`
BondCollection.`assignAromaticBondsBs(boolean isUserCalculation, BS bsBonds)`
algorithm discussed above.
`int`
ModelSet.`autoBondBs4(BS bsA, BS bsB, BS bsExclude, BS bsBonds, short mad, boolean preJmol11_9_24, SB state)`
`int`
ModelSet.`autoHbond(BS bsA, BS bsB, boolean onlyIfHaveCalculated)`
a generalized formation of HBONDS, carried out in relation to calculate HBONDS {atomsFrom} {atomsTo}.
`Bond`
BondCollection.`bondAtoms(Atom atom1, Atom atom2, int order, short mad, BS bsBonds, float energy, boolean addGroup, boolean isNew)`
`int`
ModelSet.`calcAtomsMinMax(BS bs, BoxInfo boxInfo)`
`void`
ModelSet.`calcBoundBoxDimensions(BS bs, float scale)`
`void`
ModelSet.`calcRasmolHydrogenBonds(BS bsA, BS bsB, Lst<Bond> vHBonds, boolean nucleicOnly, int nMax, boolean dsspIgnoreHydrogens, BS bsHBonds)`
These are not actual hydrogen bonds.
`float`
ModelSet.`calcRotationRadiusBs(BS bs)`
`String`
ModelSet.`calculateChiralityForAtoms(BS bsAtoms, boolean withReturn)`
`P3[][]`
AtomCollection.`calculateHydrogens(BS bs, int[] nTotal, Lst<Atom> vConnect, int flags)`
get a list of potential H atom positions based on elemental valence and formal charge
`V3`
ModelSet.`calculateMolecularDipole(int modelIndex, BS bsAtoms)`
`String`
ModelSet.`calculatePointGroup(BS bsAtoms, P3 center)`
////// atom and shape selecting /////////
`protected void`
ModelSet.`calculatePolymers(Group[] groups, int groupCount, int baseGroupIndex, BS modelsExcluded)`
`String`
ModelSet.`calculateStructures(BS bsAtoms, boolean asDSSP, boolean doReport, boolean dsspIgnoreHydrogen, boolean setStructure, int version)`
`String`
ModelSet.`calculateStructuresAllExcept(BS alreadyDefined, boolean asDSSP, boolean doReport, boolean dsspIgnoreHydrogen, boolean setStructure, boolean includeAlpha, int version)`
allows rebuilding of PDB structures; also accessed by ModelManager from Eval
`int`
ModelSet.`calculateStruts(BS bs1, BS bs2)`
see comments in org.jmol.modelsetbio.AlphaPolymer.java Struts are calculated for atoms in bs1 connecting to atoms in bs2.
`P3[]`
AtomCollection.`calculateSurface(BS bsSelected, float envelopeRadius)`
`float`
AtomCollection.`calculateVolume(BS bs, VDW vType)`
`boolean`
Text.`checkObjectClicked(boolean isAntialiased, int x, int y, BS bsVisible)`
`static String`
ModelLoader.`createAtomDataSet(Viewer vwr, ModelSet modelSet, int tokType, Object asc, BS bsSelected)`
`protected void`
BondCollection.`dBb(BS bsBond, boolean isFullModel)`
Delete bonds, but don't shift arrays, just set bond to null, in order to allow for state.
`void`
Atom.`delete(BS bsBonds)`
`void`
ModelSet.`deleteAtoms(BS bs)`
`boolean`
StateScript.`deleteAtoms(int modelIndex, BS bsBonds, BS bsAtoms)`
`void`
ModelSet.`deleteBonds(BS bsBonds, boolean isFullModel)`
`protected int[]`
BondCollection.`deleteConnections(float minD, float maxD, int order, BS bsA, BS bsB, boolean isBonds, boolean matchNull)`
`protected void`
AtomCollection.`deleteModelAtoms(int firstAtomIndex, int nAtoms, BS bsAtoms)`
`BS`
ModelSet.`deleteModels(BS bsModels)`
`protected void`
AtomCollection.`findNearest2(int x, int y, Atom[] closest, BS bsNot, int min)`
////////////////////////////////////////
`int`
ModelSet.`findNearestAtomIndex(int x, int y, BS bsNot, int min)`
`BS`
ModelSet.`fixDeletedBonds(BS bs)`
`int`
AtomCollection.`fixFormalCharges(BS bs)`
`void`
Group.`fixIndices(int atomsDeleted, BS bsDeleted)`
`void`
Model.`fixIndices(int modelIndex, int nAtomsDeleted, BS bsDeleted)`
`protected void`
Model.`fixIndicesM(int modelIndex, int nAtomsDeleted, BS bsDeleted)`
`BS`
AtomCollection.`getAtomBitsMDa(int tokType, Object specInfo, BS bs)`
general unqualified lookup of atom set type
`Quat[]`
ModelSet.`getAtomGroupQuaternions(BS bsAtoms, int nMax, char qtype)`
`int[]`
AtomCollection.`getAtomIndices(BS bs)`
`Lst<P3>`
AtomCollection.`getAtomPointVector(BS bs)`
`BS`
BondCollection.`getAtomsConnected(float min, float max, int intType, BS bs)`
`P3`
ModelSet.`getAtomSetCenter(BS bs)`
`void`
AtomCollection.`getAtomsInFrame(BS bsAtoms)`
`BS`
ModelSet.`getAtomsWithin(float distance, T3 coord, BS bsResult, int modelIndex)`
`BS`
ModelSet.`getAtomsWithinRadius(float distance, BS bs, boolean withinAllModels, RadiusData rd, BS bsSubset)`
Get atoms within a specific distance of any atom in a specific set of atoms either within all models or within just the model(s) of those atoms
`BondIterator`
BondCollection.`getBondIterator(BS bsBonds)`
`BondIterator`
BondCollection.`getBondIteratorForType(int bondType, BS bsAtoms)`
`BS`
BondCollection.`getBondsForSelectedAtoms(BS bsAtoms, boolean bondSelectionModeOr)`
`Object`
ModelSet.`getBoundBoxOrientation(int type, BS bsAtoms, P3[] points)`
`BoxInfo`
ModelSet.`getBoxInfo(BS bs, float scale)`
`float[]`
ModelSet.`getCellWeights(BS bsAtoms)`
`BS`
ModelSet.`getConformation(int modelIndex, int conformationIndex, boolean doSet, BS bsSelected)`
`BS`
ModelSet.`getConnectingAtoms(BS bsAtoms, BS bsFixed)`
`String`
ModelSet.`getDefaultStructure(BS bsAtoms, BS bsModified)`
`int`
AtomCollection.`getFirstAtomIndexFromAtomNumber(int atomNumber, BS bsVisibleFrames)`
`P3[]`
ModelSet.`getFrameOffsets(BS bsAtoms, boolean isFull)`
`void`
Atom.`getGroupBits(BS bs)`
`BS`
ModelSet.`getGroupsWithin(int nResidues, BS bs)`
`BS`
ModelSet.`getModelAtomBitSetIncludingDeletedBs(BS bsModels)`
note -- this method returns ALL atoms, including deleted.
`BS`
ModelSet.`getModelBS(BS atomList, boolean allTrajectories)`
Get the set of models associated with a set of atoms.
`void`
Trajectory.`getModelBS(int modelIndex, BS bs)`
set bits for all trajectories associated with this model
`String`
ModelSet.`getModelDataBaseName(BS bsAtoms)`
`Map<String,Object>`
ModelSet.`getModelSetAuxiliaryInfo(BS bsModels)`
Retrieve the main modelset info Hashtable (or a new non-null Hashtable) with an up-to-date "models" key.
`Lst<Object>`
ModelSet.`getModulationList(BS bs, char type, P3 t456)`
`BS`
ModelSet.`getMoleculeBitSet(BS bs)`
return cumulative sum of all atoms in molecules containing these atoms
`protected Bond`
BondCollection.`getOrAddBond(Atom atom, Atom atomOther, int order, short mad, BS bsBonds, float energy, boolean overrideBonding)`
`String`
ModelSet.`getPointGroupAsString(BS bsAtoms, String type, int index, float scale, P3[] pts, P3 center, String id)`
`Map<String,Object>`
ModelSet.`getPointGroupInfo(BS bsAtoms, String type)`
`void`
ModelSet.`getPolymerPointsAndVectors(BS bs, Lst<P3[]> vList, boolean isTraceAlpha, float sheetSmoothing)`
`String`
ModelSet.`getProteinStructureState(BS bsAtoms, int mode)`
`AtomIndexIterator`
ModelSet.`getSelectedAtomIterator(BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean hemisphereOnly, boolean isMultiModel)`
`BS`
ModelSet.`getSequenceBits(String specInfo, BS bsAtoms, BS bsResult)`
// bio-only methods /////
`BS`
ModelSet.`getSymmetryEquivAtoms(BS bsAtoms, SymmetryInterface sym, BS bsModelAtoms)`
Return a bitset of equivalent atoms
`void`
ModelSet.`getSymmetryEquivAtomsForAtom(int i, BS bsAtoms, BS bsCheck, BS bsEquiv)`
Set a bitset of the equivalent atoms of an atom.
`Object`
ModelSet.`getUnitCellPointsWithin(float distance, BS bs, P3 pt, boolean asMap)`
`void`
ModelSet.`includeAllRelatedFrames(BS bsModels, boolean includeOriginatingModels)`
`void`
ModelSet.`invertSelected(P3 pt, P4 plane, int iAtom, BS bsAtoms)`
Carries out a stereochemical inversion through a point, across a plane, or at a chirality center.
`boolean`
Model.`isContainedIn(BS bs)`
`boolean`
Group.`isSelected(BS bs)`
`int[]`
ModelSet.`makeConnections(float minDistance, float maxDistance, int order, int connectOperation, BS bsA, BS bsB, BS bsBonds, boolean isBonds, boolean addGroup, float energy)`
// super-overloaded methods ///////
`int[]`
ModelSet.`makeConnections2(float minD, float maxD, int order, int connectOperation, BS bsA, BS bsB, BS bsBonds, boolean isBonds, boolean addGroup, float energy, SB state)`
`void`
ModelSet.`morphAtoms(BS bsAtoms, P3[][] points, int ipt, float f, P3 ptemp)`
`void`
ModelSet.`moveAtoms(M4 m4, M3 mNew, M3 rotation, V3 translation, BS bs, P3 center, boolean isInternal, boolean translationOnly)`
`static BondSet`
BondSet.`newBS(BS bs)`
`void`
ModelSet.`recalculatePolymers(BS bsModelsExcluded)`
`void`
ModelSet.`recalculatePositionDependentQuantities(BS bsAtoms, M4 mat)`
`void`
Trajectory.`selectDisplayed(BS bs)`
Remove trajectories that are not currently displayed from the visible frames bitset.
`MeasurementData`
MeasurementData.`set(int tokAction, Map<String,Integer> htMin, RadiusData radiusData, String property, String strFormat, String units, TickInfo tickInfo, boolean mustBeConnected, boolean mustNotBeConnected, Boolean intramolecular, boolean isAll, int mad, short colix, Text text, float value, BS bsSelected)`
`protected void`
AtomCollection.`setAPa(BS bs, int tok, int iValue, float fValue, String sValue, float[] values, String[] list)`
`protected void`
ModelSet.`setAPm(BS bs, int tok, int iValue, float fValue, String sValue, float[] values, String[] list)`
`Atom`
Atom.`setAtom(int modelIndex, int atomIndex, P3 xyz, float radius, BS atomSymmetry, int atomSite, short atomicAndIsotopeNumber, int formalCharge, boolean isHetero, boolean isNegDisorder)`
`void`
Chain.`setAtomBits(BS bs)`
`void`
Group.`setAtomBits(BS bs)`
note that we may pick up additional bits here that were added later
`void`
Structure.`setAtomBits(BS bs)`
`void`
Chain.`setAtomBitsAndClear(BS bs, BS bsOut)`
`void`
Group.`setAtomBitsAndClear(BS bs, BS bsOut)`
Setting and clearing
`void`
Structure.`setAtomBitsAndClear(BS bs, BS bsOut)`
`protected void`
AtomCollection.`setAtomCoord2(BS bs, int tokType, Object xyzValues)`
`void`
ModelSet.`setAtomCoords(BS bs, int tokType, Object xyzValues)`
`void`
ModelSet.`setAtomCoordsRelative(T3 offset, BS bs)`
`void`
ModelSet.`setAtomProperty(BS bs, int tok, int iValue, float fValue, String sValue, float[] values, String[] list)`
`protected void`
AtomCollection.`setAtomsCoordRelative(BS bs, float x, float y, float z)`
`void`
Trajectory.`setBaseModels(BS bsModels)`
set bits for all base models only
`void`
AtomCollection.`setBsHidden(BS bs)`
`void`
ModelSet.`setCentroid(BS bs, int[] minmax)`
deletes molecules based on: CENTROID -- molecular centroid is not in unit cell CENTROID PACKED -- all molecule atoms are not in unit cell called from ScriptEval.finalizeLoad()
`BS`
ModelSet.`setConformation(BS bsAtoms)`
`void`
ModelSet.`setDihedrals(float[] dihedralList, BS[] bsBranches, float f)`
`void`
AtomCollection.`setFormalCharges(BS bs, int formalCharge)`
`void`
ModelSet.`setFrameDelayMs(long millis, BS bsModels)`
`void`
ModelSet.`setFrameTitle(BS bsFrames, Object title)`
`void`
ModelSet.`setModulation(BS bs, boolean isOn, P3 qtOffset, boolean isQ)`
Sets the modulation for all atoms in bs.
`void`
ModelSet.`setPdbConectBonding(int baseAtomIndex, int baseModelIndex, BS bsExclude)`
`void`
ModelSet.`setProteinType(BS bs, STR type)`
`void`
ModelSet.`setSpaceGroup(int mi, SymmetryInterface sg, BS basis)`
Set up all the model-related fields in association with a new space group.
`void`
AtomCollection.`setTaintedAtoms(BS bs, int type)`
`void`
ModelSet.`setTrajectoryBs(BS bsModels)`
`void`
AtomCollection.`taintAtoms(BS bsAtoms, int type)`
`void`
AtomCollection.`unTaintAtoms(BS bs, int type)`
Constructors in org.jmol.modelset with parameters of type BS
Modifier
Constructor
Description
``
`AtomIteratorWithinModelSet(BS bsModels)`
``
`ModelLoader(Viewer vwr, String modelSetName, SB loadScript, Object asc, ModelSet modelSet0, BS bsNew)`

## Uses of BS in org.jmol.modelsetbio

Fields in org.jmol.modelsetbio declared as BS
Modifier and Type
Field
Description
`BS`
BioPolymer.`reversed`
Methods in org.jmol.modelsetbio that return BS
Modifier and Type
Method
Description
`BS`
BioModelSet.`getAllSequenceBits(String specInfo, BS bsAtoms, BS bsResult)`
`BS`
BioModelSet.`getAtomBitsBS(int tokType, BS bsInfo, BS bs)`
`BS`
BioModelSet.`getAtomBitsStr(int tokType, String specInfo, BS bs)`
`BS`
AminoMonomer.`getBSSideChain()`
`BS`
BioModelSet.`getGroupsWithinAll(int nResidues, BS bs)`
`BS`
BioModelSet.`getIdentifierOrNull(String identifier)`
Methods in org.jmol.modelsetbio that return types with arguments of type BS
Modifier and Type
Method
Description
`Lst<BS>`
BioModel.`getBioBranches(Lst<BS> biobranches)`
Methods in org.jmol.modelsetbio with parameters of type BS
Modifier and Type
Method
Description
`void`
AlphaPolymer.`addStructure(STR type, String structureID, String serialID, int strandCount, int startChainID, int startSeqcode, int endChainID, int endSeqcode, int istart, int iend, BS bsAssigned)`
`void`
BioModelSet.`calcAllRasmolHydrogenBonds(BS bsA, BS bsB, Lst<Bond> vHBonds, boolean nucleicOnly, int nMax, boolean dsspIgnoreHydrogens, BS bsHBonds, int dsspVersion)`
only for base models, not trajectories
`void`
AminoPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
///////////////////////////////////////////////
`void`
BioPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
`void`
NucleicPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vAtoms, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
`void`
BioPolymer.`calcSelectedMonomersCount(BS bsSelected)`
`void`
BioModelSet.`calculateAllPolymers(Group[] groups, int groupCount, int baseGroupIndex, BS modelsExcluded)`
`String`
BioModelSet.`calculateAllStructuresExcept(BS alreadyDefined, boolean asDSSP, boolean doReport, boolean dsspIgnoreHydrogen, boolean setStructure, boolean includeAlpha, int version)`
`String`
BioModelSet.`calculateAllStuctures(BS bsAtoms, boolean asDSSP, boolean doReport, boolean dsspIgnoreHydrogen, boolean setStructure, int version)`
`int`
BioModelSet.`calculateStruts(BS bs1, BS bs2)`
`Monomer`
ProteinStructure.`findMonomer(BS bsAtoms, boolean isFirst)`
`void`
BioPolymer.`findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, short[] mads, int myVisibilityFlag, BS bsNot)`
`void`
BioModel.`fixIndices(int modelIndex, int nAtomsDeleted, BS bsDeleted)`
`Object`
BioResolver.`fixPropertyValue(BS bsAtoms, Object data, boolean toHydrogens)`
`String`
BioModelSet.`getAllDefaultStructures(BS bsAtoms, BS bsModified)`
`void`
BioModelSet.`getAllPolymerInfo(BS bs, Map<String, Lst<Map<String,Object>>> info)`
`void`
BioModelSet.`getAllPolymerPointsAndVectors(BS bs, Lst<P3[]> vList, boolean isTraceAlpha, float sheetSmoothing)`
`BS`
BioModelSet.`getAllSequenceBits(String specInfo, BS bsAtoms, BS bsResult)`
`BS`
BioModelSet.`getAtomBitsBS(int tokType, BS bsInfo, BS bs)`
`BS`
BioModelSet.`getAtomBitsStr(int tokType, String specInfo, BS bs)`
`void`
BioModel.`getConformation(int conformationIndex0, boolean doSet, BS bsAtoms, BS bsRet)`
`String`
BioModelSet.`getFullProteinStructureState(BS bsAtoms, int mode)`
`BS`
BioModelSet.`getGroupsWithinAll(int nResidues, BS bs)`
`void`
BioModel.`getPdbData(String type, char ctype, boolean isDraw, BS bsSelected, OC out, LabelToken[] tokens, SB pdbCONECT, BS bsWritten)`
`int`
BioPolymer.`getPolymerPointsAndVectors(int last, BS bs, Lst<P3[]> vList, boolean isTraceAlpha, float sheetSmoothing)`
`void`
BioPolymer.`getPolymerSequenceAtoms(int group1, int nGroups, BS bsInclude, BS bsResult)`
`void`
BioPolymer.`getRange(BS bs, boolean isMutated)`
`void`
BioPolymer.`getRangeGroups(int nResidues, BS bsAtoms, BS bsResult)`
`boolean`
BioModelSet.`mutate(BS bs, String group, String[] sequence, String alphaType, float[] phipsi)`
`void`
BioModelSet.`recalculateAllPolymers(BS bsModelsExcluded, Group[] groups)`
`void`
BioModel.`resetRasmolBonds(BS bs, int dsspVersion)`
from Trajectory.setAtomPositions base models only; not trajectories
`void`
BioModelSet.`setAllConformation(BS bsAtoms)`
`void`
BioModelSet.`setAllProteinType(BS bs, STR type)`
called from state STRUCTURE command
`void`
BioPolymer.`setAtomBits(BS bs)`
`void`
ProteinStructure.`setAtomBits(BS bs)`
`void`
BioPolymer.`setAtomBitsAndClear(BS bs, BS bsOut)`
`void`
ProteinStructure.`setAtomBitsAndClear(BS bs, BS bsOut)`
`void`
BioPolymer.`setConformation(BS bsSelected)`
`int`
AlphaPolymer.`setStructureBS(int count, int dsspType, STR type, BS bs, boolean doOffset)`
bits in the bitset determines the type
`protected boolean`
Monomer.`updateOffsetsForAlternativeLocations(Atom[] atoms, BS bsSelected)`
Method parameters in org.jmol.modelsetbio with type arguments of type BS
Modifier and Type
Method
Description
`Lst<BS>`
BioModel.`getBioBranches(Lst<BS> biobranches)`

## Uses of BS in org.jmol.popup

Methods in org.jmol.popup with parameters of type BS
Modifier and Type
Method
Description
`protected void`
JmolPopup.`updateElementsComputedMenu(BS elementsPresentBitSet)`

## Uses of BS in org.jmol.quantum

Fields in org.jmol.quantum declared as BS
Modifier and Type
Field
Description
`protected BS`
QuantumCalculation.`bsExcluded`
Methods in org.jmol.quantum that return BS
Modifier and Type
Method
Description
`BS`
NMRCalculation.`getUniqueTensorSet(BS bsAtoms)`
Methods in org.jmol.quantum with parameters of type BS
Modifier and Type
Method
Description
`void`
MepCalculation.`assignPotentials(Atom[] atoms, float[] potentials, BS bsAromatic, BS bsCarbonyl, BS bsIgnore, String data)`
`void`
MlpCalculation.`assignPotentials(Atom[] atoms, float[] potentials, BS bsAromatic, BS bsCarbonyl, BS bsIgnore, String data)`
`void`
MepCalculation.`calculate(VolumeData volumeData, BS bsSelected, P3[] xyz, Atom[] atoms, float[] potentials, int calcType)`
`static NMRNoeMatrix`
NMRNoeMatrix.`createMatrix(Viewer viewer, BS bsMol, String[] labelArray, NMRNoeMatrix.NOEParams params)`
`Lst<Object>`
NMRCalculation.`getTensorInfo(String tensorType, String infoType, BS bs)`
`BS`
NMRCalculation.`getUniqueTensorSet(BS bsAtoms)`
`void`
MepCalculation.`setup(int calcType, float[] potentials, P3[] atomCoordAngstroms, BS bsSelected)`
`boolean`
MOCalculation.`setupCalculation(Map<String,Object> moData, boolean isSlaters, VolumeData volumeData, BS bsSelected, T3[] xyz, Atom[] atoms, int firstAtomOffset, int[][] dfCoefMaps, float[] moCoefficients, float[] linearCombination, boolean isSquaredLinear, float[][] coefs, T3[] points)`
`boolean`
NciCalculation.`setupCalculation(VolumeData volumeData, BS bsSelected, BS bsExcluded, BS[] bsMolecules, T3[] atomCoordAngstroms, int firstAtomOffset, boolean isReducedDensity, T3[] points, float[] parameters, int testFlags)`
`protected void`
QuantumCalculation.`setupCoordinates(float[] originXYZ, float[] stepsXYZ, BS bsSelected, T3[] xyz, Atom[] atoms, T3[] points, boolean renumber)`

## Uses of BS in org.jmol.render

Fields in org.jmol.render declared as BS
Modifier and Type
Field
Description
`protected BS`
CageRenderer.`bsPeriod`
`protected BS`
CageRenderer.`bsPeriod`
`protected BS`
CageRenderer.`bsPeriod`
`protected BS`
MeshRenderer.`bsPolygons`
`protected BS`
MeshRenderer.`bsPolygonsToExport`

## Uses of BS in org.jmol.renderbio

Fields in org.jmol.renderbio declared as BS
Modifier and Type
Field
Description
`protected BS`
BioShapeRenderer.`bsVisible`
`protected BS`
BioShapeRenderer.`bsVisible`
`protected BS`
BioShapeRenderer.`bsVisible`
`protected BS`
BioShapeRenderer.`bsVisible`
`protected BS`
BioShapeRenderer.`bsVisible`
`protected BS`
BioShapeRenderer.`bsVisible`
`protected BS`
BioShapeRenderer.`bsVisible`

## Uses of BS in org.jmol.renderspecial

Methods in org.jmol.renderspecial with parameters of type BS
Modifier and Type
Method
Description
`protected void`
DotsRenderer.`renderConvex(short colix, BS map, int nPoints)`
generic renderer -- dots and geosurface
`protected void`
GeoSurfaceRenderer.`renderConvex(short colix, BS visibilityMap, int nPoints)`

## Uses of BS in org.jmol.script

Methods in org.jmol.script that return BS
Modifier and Type
Method
Description
`BS`
ScriptManager.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
Add hydrogens to a model
`BS`
ScriptEval.`getAtomBitSet(Object atomExpression)`
A general method to evaluate a string representing an atom set.
`BS`
ScriptManager.`getAtomBitSetEval(JmolScriptEvaluator eval, Object atomExpression)`
`BS`
ScriptParam.`getAtomsStartingAt(int i)`
`static BS`
SV.`getBitSet(SV x, boolean allowNull)`
`BS`
ScriptEval.`lookupIdentifierValue(String identifier)`
Methods in org.jmol.script with parameters of type BS
Modifier and Type
Method
Description
`BS`
ScriptManager.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
Add hydrogens to a model
`boolean`
ScriptMathProcessor.`addXBs(BS bs)`
`void`
ScriptEval.`deleteAtomsInVariables(BS bsDeleted)`
`void`
ScriptEval.`getPartialCharges(BS bs)`
`Quat`
ScriptParam.`getQuaternionParameter(int i, BS bsAtoms, boolean divideByCurrent)`
`P3`
ScriptMathProcessor.`ptValue(SV x, BS bsRestrict)`
`protected void`
ScriptEval.`setAtomProp(String prop, Object value, BS bs)`
`void`
ScriptEval.`setShapePropertyBs(int iShape, String propertyName, Object propertyValue, BS bs)`
`void`
ScriptEval.`setShapeSizeBs(int shapeType, int size, BS bs)`
`void`
ScriptEval.`setShapeTranslucency(int shapeType, String prefix, String translucency, float translucentLevel, BS bs)`

## Uses of BS in org.jmol.scriptext

Methods in org.jmol.scriptext that return BS
Modifier and Type
Method
Description
`protected BS`
ScriptExt.`atomExpressionAt(int i)`
`BS`
MathExt.`setContactBitSets(BS bsA, BS bsB, boolean localOnly, float distance, RadiusData rd, boolean warnMultiModel)`
Methods in org.jmol.scriptext with parameters of type BS
Modifier and Type
Method
Description
`protected P3[]`
ScriptExt.`bsToArray(BS bs)`
`protected void`
ScriptExt.`finalizeObject(int shapeID, int colorArgb, float translucentLevel, int intScale, boolean doSet, Object data, int iptDisplayProperty, BS bs)`
`Object`
CmdExt.`getBitsetIdent(BS bs, String label, Object tokenValue, boolean useAtomMap, int index, boolean isExplicitlyAll)`
`Object`
CmdExt.`getBitsetIdentFull(BS bs, String label, boolean useAtomMap, int index, boolean isExplicitlyAll, String[] sout)`
`float[]`
SmilesExt.`getFlexFitList(BS bs1, BS bs2, String smiles1, boolean isSmarts)`
`float`
SmilesExt.`getSmilesCorrelation(BS bsA, BS bsB, String smiles, Lst<P3> ptsA, Lst<P3> ptsB, M4 m4, Lst<BS> vReturn, boolean asMap, int[][] mapSet, P3 center, boolean bestMap, int flags)`
The major interface to org.jmol.smiles, this method allows for a wide variety of correlation functionality.
`Object`
SmilesExt.`getSmilesMatches(Object patternObj, Object smilesObj, BS bsSelected, BS bsMatch3D, int flags, boolean asOneBitset, boolean firstMatchOnly)`
`BS`
MathExt.`setContactBitSets(BS bsA, BS bsB, boolean localOnly, float distance, RadiusData rd, boolean warnMultiModel)`

## Uses of BS in org.jmol.shape

Fields in org.jmol.shape declared as BS
Modifier and Type
Field
Description
`BS`
Labels.`bsBgColixSet`
`BS`
Shape.`bsColixSet`
`protected BS`
MeshCollection.`bsDisplay`
`BS`
Labels.`bsFontSet`
`BS`
Halos.`bsHighlight`
`BS`
Sticks.`bsOrderSet`
`BS`
AtomShape.`bsSizeDefault`
`BS`
Shape.`bsSizeSet`
`protected BS`
Mesh.`bsTemp`
Methods in org.jmol.shape that return BS
Modifier and Type
Method
Description
`BS`
Measures.`getSelected()`
`protected BS`
Mesh.`getVisibleVBS()`
`BS`
Mesh.`getVisibleVertexBitSet()`
Methods in org.jmol.shape with parameters of type BS
Modifier and Type
Method
Description
`Map<String,Object>`
Labels.`checkObjectClicked(int x, int y, int modifiers, BS bsVisible, boolean drawPicking)`
`Map<String,Object>`
Shape.`checkObjectClicked(int x, int y, int modifiers, BS bsVisible, boolean drawPicking)`
`Map<String,Object>`
Sticks.`checkObjectClicked(int x, int y, int modifiers, BS bsVisible, boolean drawPicking)`
`Map<String,Object>`
TextShape.`checkObjectClicked(int x, int y, int modifiers, BS bsVisible, boolean drawPicking)`
`boolean`
Labels.`checkObjectDragged(int prevX, int prevY, int x, int y, int dragAction, BS bsVisible)`
`boolean`
Shape.`checkObjectDragged(int prevX, int prevY, int x, int y, int dragAction, BS bsVisible)`
`boolean`
Frank.`checkObjectHovered(int x, int y, BS bsVisible)`
`boolean`
Shape.`checkObjectHovered(int x, int y, BS bsVisible)`
`boolean`
Sticks.`checkObjectHovered(int x, int y, BS bsVisible)`
`boolean`
TextShape.`checkObjectHovered(int x, int y, BS bsVisible)`
`void`
Shape.`findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, BS bsNot)`
`void`
Bbcage.`setModelVisibilityFlags(BS bs)`
`void`
Halos.`setModelVisibilityFlags(BS bs)`
`void`
MeshCollection.`setModelVisibilityFlags(BS bsModels)`
`void`
Shape.`setModelVisibilityFlags(BS bsModels)`
`void`
TextShape.`setModelVisibilityFlags(BS bsModels)`
`protected void`
AtomShape.`setPropAS(String propertyName, Object value, BS bs)`
`void`
Axes.`setProperty(String propertyName, Object value, BS bs)`
`void`
Balls.`setProperty(String propertyName, Object value, BS bs)`
`void`
Bbcage.`setProperty(String propertyName, Object value, BS bs)`
`void`
Echo.`setProperty(String propertyName, Object value, BS bs)`
`void`
Frank.`setProperty(String propertyName, Object value, BS bs)`
`void`
Halos.`setProperty(String propertyName, Object value, BS bs)`
`void`
Hover.`setProperty(String propertyName, Object value, BS bsSelected)`
`void`
Labels.`setProperty(String propertyName, Object value, BS bs)`
`void`
Measures.`setProperty(String propertyName, Object value, BS bsAtoms)`
`abstract void`
Shape.`setProperty(String propertyName, Object value, BS bsSelected)`
`void`
Stars.`setProperty(String propertyName, Object value, BS bs)`
`void`
Sticks.`setProperty(String propertyName, Object value, BS bs)`
`void`
Uccage.`setProperty(String propertyName, Object value, BS bs)`
`protected void`
MeshCollection.`setPropMC(String propertyName, Object value, BS bs)`
`protected void`
Shape.`setPropS(String propertyName, Object value, BS bsSelected)`
`protected void`
TextShape.`setPropTS(String propertyName, Object value, BS bsSelected)`
`void`
Shape.`setShapeSizeRD(int size, RadiusData rd, BS bsSelected)`
`protected void`
AtomShape.`setSize(int size, BS bsSelected)`
`protected void`
Balls.`setSize(int size, BS bsSelected)`
`protected void`
Measures.`setSize(int size, BS bsSelected)`
`protected void`
Shape.`setSize(int size, BS bsSelected)`
`protected void`
Sticks.`setSize(int size, BS bsSelected)`
sets the size of a bond, or sets the selectedBonds set
`protected void`
AtomShape.`setSize2(int size, BS bsSelected)`
`protected void`
AtomShape.`setSizeRD(RadiusData rd, BS bsSelected)`
`protected void`
Balls.`setSizeRD(RadiusData rd, BS bsSelected)`
`protected void`
Shape.`setSizeRD(RadiusData rd, BS bsSelected)`

## Uses of BS in org.jmol.shapebio

Methods in org.jmol.shapebio with parameters of type BS
Modifier and Type
Method
Description
`void`
BioShape.`findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, BS bsNot)`
`void`
BioShapeCollection.`findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, BS bsNot)`
`void`
BioShapeCollection.`setModelVisibilityFlags(BS bsModels)`
`void`
BioShape.`setParams(Object[] data, int[] atomMap, BS bsSelected)`
`protected void`
BioShapeCollection.`setPropBSC(String propertyName, Object value, BS bsSelected)`
`void`
Backbone.`setProperty(String propertyName, Object value, BS bsSelected)`
`void`
BioShape.`setProperty(String propertyName, Object value, BS bsSelected)`
`void`
BioShapeCollection.`setProperty(String propertyName, Object value, BS bsSelected)`
`void`
Trace.`setProperty(String propertyName, Object value, BS bsSelected)`
`void`
Backbone.`setShapeSizeRD(int size, RadiusData rd, BS bsSelected)`
`void`
BioShapeCollection.`setShapeSizeRD(int size, RadiusData rd, BS bsSelected)`

## Uses of BS in org.jmol.shapecgo

Methods in org.jmol.shapecgo with parameters of type BS
Modifier and Type
Method
Description
`void`
CGO.`setModelVisibilityFlags(BS bsModels)`
`void`
CGO.`setProperty(String propertyName, Object value, BS bs)`

## Uses of BS in org.jmol.shapespecial

Fields in org.jmol.shapespecial declared as BS
Modifier and Type
Field
Description
`BS`
DrawMesh.`bsMeshesVisible`
`BS`
Dipole.`bsMolecule`
`BS`
DrawMesh.`modelFlags`
Methods in org.jmol.shapespecial with parameters of type BS
Modifier and Type
Method
Description
`Map<String,Object>`
Draw.`checkObjectClicked(int x, int y, int action, BS bsVisible, boolean drawPicking)`
`Map<String,Object>`
Ellipsoids.`checkObjectClicked(int x, int y, int action, BS bsModels, boolean drawPicking)`
`boolean`
Draw.`checkObjectDragged(int prevX, int prevY, int x, int y, int dragAction, BS bsVisible)`
`boolean`
Draw.`checkObjectHovered(int x, int y, BS bsVisible)`
`boolean`
Ellipsoids.`checkObjectHovered(int x, int y, BS bsModels)`
`void`
Dipoles.`setModelVisibilityFlags(BS bsModels)`
`void`
Draw.`setModelVisibilityFlags(BS bsModels)`
`void`
Ellipsoids.`setModelVisibilityFlags(BS bsModels)`
`void`
Polyhedra.`setModelVisibilityFlags(BS bsModels)`
`void`
Dipoles.`setProperty(String propertyName, Object value, BS bs)`
`void`
Dots.`setProperty(String propertyName, Object value, BS bs)`
`void`
Draw.`setProperty(String propertyName, Object value, BS bs)`
`void`
Ellipsoids.`setProperty(String propertyName, Object value, BS bs)`
`void`
Polyhedra.`setProperty(String propertyName, Object value, BS bs)`
`void`
Vectors.`setProperty(String propertyName, Object value, BS bsSelected)`
`protected void`
Ellipsoids.`setSize(int size, BS bsSelected)`
`protected void`
Dots.`setSizeRD(RadiusData rd, BS bsSelected)`

## Uses of BS in org.jmol.shapesurface

Methods in org.jmol.shapesurface that return BS
Modifier and Type
Method
Description
`BS`
IsosurfaceMesh.`getVisibleVertexBitSet()`
Methods in org.jmol.shapesurface that return types with arguments of type BS
Modifier and Type
Method
Description
`Map<String,BS>`
IsosurfaceMesh.`copyVertexColorMap()`
Methods in org.jmol.shapesurface with parameters of type BS
Modifier and Type
Method
Description
`static void`
IsosurfaceMesh.`addContourPoints(Lst<Object> v, BS bsContour, int i, SB fData, T3[] vertices, float[] vertexValues, int iA, int iB, int iC, float value)`
`P3[]`
Isosurface.`calculateGeodesicSurface(BS bsSelected, float envelopeRadius)`
`Map<String,Object>`
Isosurface.`checkObjectClicked(int x, int y, int action, BS bsVisible, boolean drawPicking)`
`boolean`
Isosurface.`checkObjectHovered(int x, int y, BS bsVisible)`
`static String`
Isosurface.`getPolygonColorData(int ccount, short[] colixes, int[][] polygons, BS bsSlabDisplay)`
`float[]`
IsosurfaceMesh.`getValidValues(BS bs)`
`T3[]`
IsosurfaceMesh.`getValidVertices(BS bs)`
`static void`
IsosurfaceMesh.`setContourVector(Lst<Object> v, int nPolygons, BS bsContour, float value, short colix, int color, SB fData)`
`void`
Contact.`setProperty(String propertyName, Object value, BS bs)`
`void`
Isosurface.`setProperty(String propertyName, Object value, BS bs)`
`void`
LcaoCartoon.`setProperty(String propertyName, Object value, BS bs)`
`void`
MolecularOrbital.`setProperty(String propertyName, Object value, BS bs)`
`protected void`
Isosurface.`setPropI(String propertyName, Object value, BS bs)`
`void`
IsosurfaceMesh.`updateCoordinates(M4 m, BS bs)`
bs will be null if this is a set from the new isosurface MOVE [mat4] command

## Uses of BS in org.jmol.smiles

Methods in org.jmol.smiles that return BS
Modifier and Type
Method
Description
`BS`
SmilesAtom.`findAtomsLike(String substring)`
`BS`
SmilesMatcher.`getSubstructureSet(Object pattern, Object target, int ac, BS bsSelected, int flags)`
Returns a bitset matching the pattern within a set of Jmol atoms.
`BS[]`
SmilesMatcher.`getSubstructureSetArray(Object pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
Returns a vector of bitsets indicating which atoms match the pattern.
Methods in org.jmol.smiles with parameters of type BS
Modifier and Type
Method
Description
`Object`
SmilesMatcher.`compileSearchTarget(Node[] atoms, int atomCount, BS bsSelected)`
`String`
SmilesMatcher.`getAtropisomerKeys(String pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
called by SmilesParser to get nn in ^nn- base on match to actual structure
`int[][]`
SmilesMatcher.`getCorrelationMaps(Object pattern, Node[] atoms, int atomCount, BS bsSelected, int flags)`
Rather than returning bitsets, this method returns the sets of matching atoms in array form so that a direct atom-atom correlation can be made.
`void`
SmilesAtom.`getGroupBits(BS bs)`
`int[][]`
SmilesMatcher.`getMapForJME(String jme, Atom[] at, BS bsAtoms)`
`void`
SmilesMatcher.`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> ret, Lst<BS>[] vRings)`
called by ForceFieldMMFF.setAtomTypes only
`String`
SmilesMatcher.`getSmiles(Node[] atoms, int ac, BS bsSelected, String bioComment, int flags)`
internal to Jmol -- called by org.jmol.Viewer.getSmiles
`BS`
SmilesMatcher.`getSubstructureSet(Object pattern, Object target, int ac, BS bsSelected, int flags)`
Returns a bitset matching the pattern within a set of Jmol atoms.
`BS[]`
SmilesMatcher.`getSubstructureSetArray(Object pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
Returns a vector of bitsets indicating which atoms match the pattern.
`void`
SmilesSearch.SmilesTarget.`setAtoms(Node[] atoms, int ac, BS bs)`
Method parameters in org.jmol.smiles with type arguments of type BS
Modifier and Type
Method
Description
`void`
SmilesSearch.SmilesTarget.`finalizeAromatic(Lst<BS> lstAromatic)`
`void`
SmilesMatcher.`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> ret, Lst<BS>[] vRings)`
called by ForceFieldMMFF.setAtomTypes only

## Uses of BS in org.jmol.symmetry

Methods in org.jmol.symmetry that return BS
Modifier and Type
Method
Description
`protected BS[]`
CIPData.`getList(String smarts)`
Retrieve an array of bit sets that match a given SMARTS
`protected BS[]`
CIPDataSmiles.`getList(String smarts)`
`protected BS`
CIPData.`match(String smarts)`
Return a bit set corresponding to a SMARTS
`protected BS`
CIPDataSmiles.`match(String smarts)`
`BS`
Symmetry.`notInCentroid(ModelSet modelSet, BS bsAtoms, int[] minmax)`
`BS`
Symmetry.`removeDuplicates(ModelSet ms, BS bs, boolean highPrec)`
Methods in org.jmol.symmetry with parameters of type BS
Modifier and Type
Method
Description
`void`
UnitCellIterator.`addAtoms(BS bsAtoms)`
`void`
Symmetry.`calculateCIPChiralityForAtoms(Viewer vwr, BS bsAtoms)`
`Symmetry`
SpaceGroupFinder.`checkSupercell(Viewer vwr, Symmetry uc, BS bsPoints, int abc, P3 scaling)`
Look for a supercell and adjust lattice down if necessary.
`Object`
Symmetry.`findSpaceGroup(BS atoms, String xyzList, float[] unitCellParams, T3 origin, T3[] oabc, int flags)`
`AtomIndexIterator`
Symmetry.`getIterator(Viewer vwr, Atom atom, BS bsAtoms, float radius)`
`BS`
Symmetry.`notInCentroid(ModelSet modelSet, BS bsAtoms, int[] minmax)`
`BS`
Symmetry.`removeDuplicates(ModelSet ms, BS bs, boolean highPrec)`
`CIPData`
CIPData.`set(Viewer vwr, BS bsAtoms)`
Actual constructor.
`UnitCellIterator`
UnitCellIterator.`set(SymmetryInterface unitCell, Atom atom, Atom[] atoms, BS bsAtoms, float distance)`
`SymmetryInterface`
Symmetry.`setPointGroup(Viewer vwr, SymmetryInterface siLast, T3 center, T3[] atomset, BS bsAtoms, boolean haveVibration, float distanceTolerance, float linearTolerance, int maxAtoms, boolean localEnvOnly)`
`String`
Symmetry.`staticTransformSpaceGroup(BS bs, String cleg, Object paramsOrUC, SB sb)`

## Uses of BS in org.jmol.util

Fields in org.jmol.util declared as BS
Modifier and Type
Field
Description
`BS`
JmolMolecule.`atomList`
`BS`
MeshSurface.`bsDisplay`
`BS`
MeshSurface.`bsPolygons`
`BS`
MeshSurface.`bsSlabDisplay`
`BS`
MeshSurface.`bsSlabGhost`
`static final BS`
BSUtil.`emptySet`
`BS`
MeshSurface.`surfaceAtoms`
`BS[]`
MeshSurface.`surfaceSet`
Methods in org.jmol.util that return BS
Modifier and Type
Method
Description
`static BS`
BSUtil.`andNot(BS a, BS b)`
`static BS`
BSUtil.`copy(BS bs)`
`static BS`
BSUtil.`copy2(BS a, BS b)`
`static BS`
BSUtil.`copyInvert(BS bs, int n)`
`static BS`
BSUtil.`deleteBits(BS bs, BS bsDelete)`
this one slides deleted bits out of a pattern.
`BS`
Node.`findAtomsLike(String substring)`
`static BS`
JmolMolecule.`getBitSetForMF(Atom[] at, BS bsAtoms, String mf)`
`static BS`
JmolMolecule.`getBranchBitSet(Node[] atoms, int atomIndex, BS bsToTest, Lst<BS> biobranches, int atomIndexNot, boolean allowCyclic, boolean allowBioResidue)`
given a set of atoms, a subset of atoms to test, two atoms that start the branch, and whether or not to allow the branch to cycle back on itself, deliver the set of atoms constituting this branch.
`static BS`
JmolMolecule.`getBranchesForInversion(Node[] at, int atomIndex, BS bsToTest)`
`static BS`
BSUtil.`invertInPlace(BS bs, int n)`
inverts the bitset bits 0 through n-1, and returns a reference to the modified bitset
`static BS`
BSUtil.`newAndSetBit(int i)`
`static BS`
BSUtil.`newBitSet2(int i0, int i1)`
`static BS`
Normix.`newVertexBitSet()`
`static BS`
BSUtil.`setAll(int n)`
`static BS`
BSUtil.`toggleInPlace(BS a, BS b)`
a perhaps curious method: b is a reference set, perhaps all atoms in a certain molecule a is the working set, perhaps representing all displayed atoms For each set bit in b: a) if a is also set, then clear a's bit UNLESS b) if a is not set, then add to a all set bits of b Thus, if a equals b --> clear all if a is a subset of b, then --> b if b is a subset of a, then --> a not b if a only intersects with b, then --> a or b if a does not intersect with b, then a or b In "toggle" mode, when you click on any atom of the molecule, you want either: (a) all the atoms in the molecule to be displayed if not all are already displayed, or (b) the whole molecule to be hidden if all the atoms of the molecule are already displayed.
Methods in org.jmol.util with parameters of type BS
Modifier and Type
Method
Description
`static final JmolMolecule[]`
JmolMolecule.`addMolecule(JmolMolecule[] molecules, int iMolecule, Node[] atoms, int iAtom, BS bsBranch, int modelIndex, int indexInModel, BS bsExclude)`
`int`
MeshSurface.`addPolygon(int[] polygon, BS bs)`
`protected int`
MeshSurface.`addPolygonC(int[] polygon, int color, BS bs, boolean isExplicit)`
`static BS`
BSUtil.`andNot(BS a, BS b)`
`static boolean`
BSUtil.`areEqual(BS a, BS b)`
`static int`
BSUtil.`cardinalityOf(BS bs)`
cardinality = "total number of set bits"
`static BS`
BSUtil.`copy(BS bs)`
`static BS`
BSUtil.`copy2(BS a, BS b)`
`static BS`
BSUtil.`copyInvert(BS bs, int n)`
`static BS`
BSUtil.`deleteBits(BS bs, BS bsDelete)`
this one slides deleted bits out of a pattern.
`static String`
Escape.`eBond(BS bs)`
`static String`
Escape.`eBS(BS bs)`
`static Atom`
Vibration.`find(ModelSet modelSet, BS bs, Vibration v0)`
`static short`
Normix.`get2SidedNormix(V3 v, BS bsTemp)`
`static BS`
JmolMolecule.`getBitSetForMF(Atom[] at, BS bsAtoms, String mf)`
`static BS`
JmolMolecule.`getBranchBitSet(Node[] atoms, int atomIndex, BS bsToTest, Lst<BS> biobranches, int atomIndexNot, boolean allowCyclic, boolean allowBioResidue)`
given a set of atoms, a subset of atoms to test, two atoms that start the branch, and whether or not to allow the branch to cycle back on itself, deliver the set of atoms constituting this branch.
`static BS`
JmolMolecule.`getBranchesForInversion(Node[] at, int atomIndex, BS bsToTest)`
`void`
Node.`getGroupBits(BS bs)`
`void`
MeshSlicer.`getIntersection(float distance, P4 plane, P3[] ptCenters, Lst<P3[]> vData, float[] fData, BS bsSource, MeshSurface meshSurface, boolean andCap, boolean doClean, int tokType, boolean isGhost)`
`static String`
JmolMolecule.`getMolecularFormulaAtoms(Node[] atoms, BS bsSelected, float[] wts, boolean isEmpirical)`
`static final JmolMolecule[]`
JmolMolecule.`getMolecules(Node[] atoms, BS[] bsModelAtoms, Lst<BS> biobranches, BS bsExclude)`
Creates an array of JmolMolecules from a set of atoms in the form of simple JmolNodes.
`static short`
Normix.`getNormixV(V3 v, BS bsTemp)`
`static boolean`
BSUtil.`haveCommon(BS a, BS b)`
`static BS`
BSUtil.`invertInPlace(BS bs, int n)`
inverts the bitset bits 0 through n-1, and returns a reference to the modified bitset
`boolean`
Tensor.`isSelected(BS bsSelected, int iAtom)`
`static void`
BSUtil.`offset(BS bs0, int pos, int offset)`
offset the bitset in place by the specified number of bits starting at a given position
`static int`
Parser.`parseFloatArrayBsData(String[] tokens, BS bs, float[] data)`
`static float[]`
Parser.`parseFloatArrayFromMatchAndField(String str, BS bs, int fieldMatch, int fieldMatchColumnCount, int[] matchData, int field, int fieldColumnCount, float[] data, int firstLine)`
the major lifter here.
`static int`
Parser.`parseStringInfestedFloatArray(String str, BS bs, float[] data)`
parses a "dirty" string for floats.
`void`
MeshSurface.`setTranslucentVertices(BS bsVertices)`
Must create bsTransPolygons, polygonTranslucencies, and new triangle set for partially translucent polygons
`static void`
BSUtil.`shiftBits(BS bs, BS bsAdded, boolean setIfFound, int iLast)`
this one slides bits to higher positions based on a pattern.
`static BS`
BSUtil.`toggleInPlace(BS a, BS b)`
a perhaps curious method: b is a reference set, perhaps all atoms in a certain molecule a is the working set, perhaps representing all displayed atoms For each set bit in b: a) if a is also set, then clear a's bit UNLESS b) if a is not set, then add to a all set bits of b Thus, if a equals b --> clear all if a is a subset of b, then --> b if b is a subset of a, then --> a not b if a only intersects with b, then --> a or b if a does not intersect with b, then a or b In "toggle" mode, when you click on any atom of the molecule, you want either: (a) all the atoms in the molecule to be displayed if not all are already displayed, or (b) the whole molecule to be hidden if all the atoms of the molecule are already displayed.
Method parameters in org.jmol.util with type arguments of type BS
Modifier and Type
Method
Description
`static BS`
JmolMolecule.`getBranchBitSet(Node[] atoms, int atomIndex, BS bsToTest, Lst<BS> biobranches, int atomIndexNot, boolean allowCyclic, boolean allowBioResidue)`
given a set of atoms, a subset of atoms to test, two atoms that start the branch, and whether or not to allow the branch to cycle back on itself, deliver the set of atoms constituting this branch.
`static final JmolMolecule[]`
JmolMolecule.`getMolecules(Node[] atoms, BS[] bsModelAtoms, Lst<BS> biobranches, BS bsExclude)`
Creates an array of JmolMolecules from a set of atoms in the form of simple JmolNodes.
`static void`
BSUtil.`setMapBitSet(Map<String,BS> ht, int i1, int i2, String key)`

## Uses of BS in org.jmol.viewer

Fields in org.jmol.viewer declared as BS
Modifier and Type
Field
Description
`BS`
SelectionManager.`bsDeleted`
`BS`
TransformManager.`bsFrameOffsets`
`final BS`
ShapeManager.`bsRenderableAtoms`
`final BS`
ShapeManager.`bsSlabbedInternal`
`BS`
SelectionManager.`bsSubset`
`BS`
Viewer.`movableBitSet`
Methods in org.jmol.viewer that return BS
Modifier and Type
Method
Description
`BS`
Viewer.`addHydrogens(BS bsAtoms, int flags)`
/ requiring ScriptEvaluator:
`BS`
Viewer.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
`BS`
Viewer.`bsA()`
`BS`
SelectionManager.`excludeAtoms(BS bs, boolean ignoreSubset)`
`BS`
Viewer.`getAllAtoms()`
`BS`
Viewer.`getAtomBitSet(Object atomExpression)`
`BS`
Viewer.`getAtomsNearPt(float distance, P3 coord, BS bs)`
`BS`
Viewer.`getBaseModelBitSet()`
`BS`
Viewer.`getBondsForSelectedAtoms(BS bsAtoms)`
`BS`
Viewer.`getBranchBitSet(int atomIndex, int atomIndexNot, boolean allowCyclic)`
given a set of atoms, a subset of atoms to test, two atoms that start the branch, and whether or not to allow the branch to cycle back on itself,deliver the set of atoms constituting this branch.
`BS`
Viewer.`getDefinedAtomSet(String name)`
`BS`
Viewer.`getElementsPresentBitSet(int modelIndex)`
`BS`
Viewer.`getFrameAtoms()`
`BS`
Viewer.`getGroupsWithin(int nResidues, BS bs)`
`BS`
SelectionManager.`getHiddenSet()`
`BS`
Viewer.`getModelUndeletedAtomsBitSet(int modelIndex)`
`BS`
Viewer.`getModelUndeletedAtomsBitSetBs(BS bsModels)`
`BS`
SelectionManager.`getMotionFixedAtoms()`
`BS`
Viewer.`getMotionFixedAtoms(SymmetryInterface sym, BS bsFixed)`
For the current SINGLE model only.
`BS`
Viewer.`getSmartsMatch(String smarts, BS bsSelected)`
`BS`
Viewer.`getSmartsMatchForNodes(String smarts, Node[] atoms)`
`BS`
AnimationManager.`getSplitFrameAtoms(boolean active)`
`BS`
AnimationManager.`getSplitFrameModels()`
`BS[]`
Viewer.`getSubstructureSetArray(Object pattern, BS bsSelected, int flags)`
`BS[]`
Viewer.`getSubstructureSetArrayForNodes(Object pattern, Node[] nodes, int flags)`
`BS`
Viewer.`getThisModelAtoms()`
`BS`
Viewer.`getVisibleFrameAtomsNoSplitData()`
`BS`
Viewer.`getVisibleFramesBitSet()`
`BS`
Viewer.`getVisibleFramesBitSetNoJmolData()`
`BS`
Viewer.`restrictToModel(BS bs, int mi)`
Restrict this bitset to the current model or its initial atom's model.
Methods in org.jmol.viewer with parameters of type BS
Modifier and Type
Method
Description
`BS`
Viewer.`addHydrogens(BS bsAtoms, int flags)`
/ requiring ScriptEvaluator:
`BS`
Viewer.`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
`int`
Viewer.`autoHbond(BS bsFrom, BS bsTo, boolean onlyIfHaveCalculated)`
`void`
Viewer.`calcAtomsMinMax(BS bs, BoxInfo boxInfo)`
`void`
Viewer.`calcBoundBoxDimensions(BS bs, float scale)`
`String`
Viewer.`calculateChirality(BS bsAtoms)`
`int`
Viewer.`calculateFormalCharges(BS bs)`
`V3`
Viewer.`calculateMolecularDipole(BS bsAtoms)`
`void`
Viewer.`calculatePartialCharges(BS bsSelected)`
`String`
Viewer.`calculateStructures(BS bsAtoms, boolean asDSSP, boolean setStructure, int version)`
`int`
Viewer.`calculateStruts(BS bs1, BS bs2)`
`P3[]`
Viewer.`calculateSurface(BS bsSelected, float envelopeRadius)`
`void`
Viewer.`checkCoordinatesChanged(BS bsAtoms)`
`int`
Viewer.`deleteAtoms(BS bsAtoms, boolean fullModels)`
`void`
Viewer.`deleteBonds(BS bsDeleted)`
`void`
DataManager.`deleteModelAtoms(int firstAtomIndex, int nAtoms, BS bsDeleted)`
`void`
Viewer.`deleteModelAtoms(int modelIndex, int firstAtomIndex, int nAtoms, BS bsModelAtoms)`
`int`
Viewer.`deleteModels(int modelIndex, BS bsAtoms)`
called by ZAP {atomExpression} when atoms are present or the command is specific for a model, such as ZAP 2.1
`void`
ShapeManager.`deleteShapeAtoms(Object[] value, BS bs)`
`void`
Viewer.`displayAtoms(BS bs, boolean isDisplay, boolean isGroup, int addRemove, boolean isQuiet)`
`BS`
SelectionManager.`excludeAtoms(BS bs, boolean ignoreSubset)`
`int[]`
ShapeManager.`finalizeAtoms(BS bsTranslateSelected, boolean finalizeParams)`
`void`
ShapeManager.`findNearestShapeAtomIndex(int x, int y, Atom[] closest, BS bsNot)`
`Object`
Viewer.`findSpaceGroup(SymmetryInterface sym, BS bsAtoms, String xyzList, float[] unitCellParams, T3 origin, T3[] oabc, int flags)`
`String`
PropertyManager.`fixJMEFormalCharges(BS bsAtoms, String jme)`
Fix a JME string returned from NCI CIR to have the proper formal charges.
`P3[]`
Viewer.`getAdditionalHydrogens(BS bsAtoms, Lst<Atom> vConnections, int flags)`
`Lst<Map<String,Object>>`
PropertyManager.`getAllAtomInfo(BS bs)`
`Map<String, Lst<Map<String,Object>>>`
PropertyManager.`getAllChainInfo(BS bs)`
`Quat[]`
Viewer.`getAtomGroupQuaternions(BS bsAtoms, int nMax)`
`BS`
Viewer.`getAtomsNearPt(float distance, P3 coord, BS bs)`
`String`
Viewer.`getBioSmiles(BS bs)`
`BS`
Viewer.`getBondsForSelectedAtoms(BS bsAtoms)`
`String`
Viewer.`getChemicalInfo(String smiles, String info, BS bsAtoms)`
`String`
PropertyManager.`getChimeInfo(int tok, BS bs)`
`String`
Viewer.`getCoordinateState(BS bsSelected)`
`Object`
DataManager.`getData(String label, BS bsSelected, int dataType)`
`Object`
Viewer.`getDataObj(String key, BS bsSelected, int dataType)`
Retrieve a data object
`String`
DataManager.`getDefaultVdwNameOrData(VDW type, BS bs)`
`String`
Viewer.`getDefaultVdwNameOrData(int mode, VDW type, BS bs)`
`String`
Viewer.`getFormulaForAtoms(BS bs, String type, boolean isEmpirical)`
Get formula -- MF or CELLFORMULA, possibly empirical
`BS`
Viewer.`getGroupsWithin(int nResidues, BS bs)`
`String`
Viewer.`getInchi(BS atoms, Object molData, String options)`
Get an InChI or InChIKey for a set of atoms or MOL data.
`String`
PropertyManager.`getModelCml(BS bs, int atomsMax, boolean addBonds, boolean doTransform, boolean allTrajectories)`
`String`
Viewer.`getModelCml(BS bs, int nAtomsMax, boolean addBonds, boolean doTransform)`
`String`
PropertyManager.`getModelExtract(BS bs, boolean doTransform, boolean isModelKit, String type, boolean allTrajectories)`
V3000, SDF, MOL, JSON, CD (ChemDoodle), XYZ, XYZVIB, XYZRN, CML, PDB, PQR, QCJSON, PWMAT, XSF MOL67 is MOL with bonds of type 6 or 7 (aromatic single/double)
`String`
PropertyManager.`getModelFileInfo(BS frames)`
`BS`
Viewer.`getModelUndeletedAtomsBitSetBs(BS bsModels)`
`BS`
Viewer.`getMotionFixedAtoms(SymmetryInterface sym, BS bsFixed)`
For the current SINGLE model only.
`String`
Viewer.`getOpenSmiles(BS bs)`
`float[]`
Viewer.`getOrCalcPartialCharges(BS bsSelected, BS bsIgnore)`
`Object`
Viewer.`getOrientation(int type, String name, BS bs, P3[] points)`
`String`
PropertyManager.`getPdbAtomData(BS bs, OC out, boolean isPQR, boolean doTransform, boolean allTrajectories)`
PDB or PQR only
`String`
Viewer.`getPdbAtomData(BS bs, OC out, boolean asPQR, boolean doTransform)`
`String`
PropertyManager.`getPdbData(int modelIndex, String type, BS bsSelected, Object[] parameters, OC out, boolean addStructure)`
`String`
Viewer.`getPdbData(int modelIndex, String type, BS bsAtoms, Object[] parameters, OC oc, boolean getStructure)`
`void`
Viewer.`getPolymerPointsAndVectors(BS bs, Lst<P3[]> vList)`
`AtomIndexIterator`
Viewer.`getSelectedAtomIterator(BS bsSelected, boolean isGreaterOnly, boolean modelZeroBased, boolean isMultiModel)`
`int[][]`
Viewer.`getSmartsMap(String smilesOrSmarts, BS bsSelected, int flags)`
`BS`
Viewer.`getSmartsMatch(String smarts, BS bsSelected)`
`String`
Viewer.`getSmiles(BS bs)`
NOT getting aromatic smiles
`String`
Viewer.`getSmilesOpt(BS bsSelected, int index1, int index2, int flags, String options)`
returns the SMILES string for a sequence or atom set does not include attached protons on groups
`BS[]`
Viewer.`getSubstructureSetArray(Object pattern, BS bsSelected, int flags)`
`void`
Viewer.`highlight(BS bs)`
`void`
Viewer.`invertAtomCoord(P3 pt, P4 plane, BS bs, int ringAtomIndex, boolean isClick)`
`void`
Viewer.`invertSelected(P3 pt, P4 plane, int iAtom, BS bsAtoms)`
`int[]`
Viewer.`makeConnections(float minDistance, float maxDistance, int order, int connectOperation, BS bsA, BS bsB, BS bsBonds, boolean isBonds, boolean addGroup, float energy)`
`void`
Viewer.`minimize(JmolScriptEvaluator eval, int steps, float crit, BS bsSelected, BS bsFixed, BS bsInFrame, float rangeFixed, int flags)`
From the MINIMIZE command and other sources.
`void`
Viewer.`moveAtoms(M4 m4, M3 mNew, M3 rotation, V3 translation, P3 center, boolean isInternal, BS bsAtoms, boolean translationOnly, boolean useModelKit)`
`int`
Viewer.`moveAtomWithHydrogens(int atomIndex, int deltaX, int deltaY, int deltaZ, P3 ptNew, BS bsAtoms)`
`void`
ShapeManager.`notifyAtomPositionsChanged(int baseModel, BS bs, M4 mat)`
`void`
ShapeManager.`notifyAtoms(String prop, BS[] atomsAndModels)`
`void`
ShapeManager.`resetBioshapes(BS bsAllAtoms)`
`BS`
Viewer.`restrictToModel(BS bs, int mi)`
Restrict this bitset to the current model or its initial atom's model.
`protected void`
TransformManager.`rotate3DBall(float xDeg, float yDeg, BS bsAtoms)`
`boolean`
Viewer.`rotateAboutPointsInternal(JmolScriptEvaluator eval, P3 point1, P3 point2, float degreesPerSecond, float endDegrees, boolean isSpin, BS bsSelected, V3 translation, Lst<P3> finalPoints, float[] dihedralList, M3 vectorMatrix, M4 m4, boolean useModelKit, P3[][] centerAndPoints)`
`boolean`
Viewer.`rotateAxisAngleAtCenter(JmolScriptEvaluator eval, P3 rotCenter, V3 rotAxis, float degreesPerSecond, float endDegrees, boolean isSpin, BS bsSelected)`
`void`
TransformManager.`rotateAxisAngleRadiansFixed(float angleRadians, BS bsAtoms)`
`void`
TransformManager.`rotateAxisAngleRadiansInternal(float radians, BS bsAtoms, M4 m4, boolean useModelKit)`
`void`
TransformManager.`rotateXRadians(float angleRadians, BS bsAtoms)`
`protected void`
TransformManager.`rotateXYBy(float degX, float degY, BS bsAtoms)`
`protected void`
TransformManager4D.`rotateXYBy(float xDelta, float yDelta, BS bsAtoms)`
`void`
TransformManager.`rotateYRadians(float angleRadians, BS bsAtoms)`
`void`
StateManager.`saveCoordinates(String saveName, BS bsSelected)`
`void`
StateManager.`saveSelection(String saveName, BS bsSelected)`
`void`
Viewer.`select(BS bs, boolean isGroup, int addRemove, boolean isQuiet)`
`void`
Viewer.`selectBonds(BS bs)`
`void`
Viewer.`selectStatus(BS bs, boolean isGroup, int addRemove, boolean isQuiet, boolean reportStatus)`
"SELECT" starting with comma triggers the SELECT callback from a SELECT command.
`void`
Viewer.`setAnimDisplay(BS bs)`
`void`
Viewer.`setAtomCoords(BS bs, int tokType, Object xyzValues)`
`void`
Viewer.`setAtomCoordsRelative(T3 offset, BS bs)`
`void`
Viewer.`setAtomProperty(BS bs, int tok, int iValue, float fValue, String sValue, float[] values, String[] list)`
`void`
Viewer.`setCenterBitSet(BS bsCenter, boolean doScale)`
`void`
Viewer.`setDihedrals(float[] dihedralList, BS[] bsBranches, float rate)`
`void`
Viewer.`setFrameOffsets(BS bsAtoms, boolean isFull)`
`void`
ShapeManager.`setLabel(Object strLabel, BS bsSelection)`
`void`
Viewer.`setModulation(BS bs, boolean isOn, P3 t1, boolean isQ)`
`void`
Viewer.`setMotionFixed(BS bs)`
`void`
Viewer.`setMotionFixedAtoms(BS bs)`
`void`
ColorManager.`setPropertyColorRangeData(float[] data, BS bs)`
`void`
Viewer.`setProteinType(STR type, BS bs)`
`void`
Viewer.`setSelectionSet(BS set)`
`void`
SelectionManager.`setSelectionSubset(BS bs)`
`void`
ShapeManager.`setShapePropertyBs(int shapeID, String propertyName, Object value, BS bsSelected)`
`void`
Viewer.`setShapeSize(int shapeID, int madOrMad10, BS bsSelected)`
`void`
ShapeManager.`setShapeSizeBs(int shapeID, int size, RadiusData rd, BS bsSelected)`
`void`
Viewer.`setStatusAtomMoved(boolean andCheckMinimize, BS bs)`
`void`
Viewer.`setStatusSelect(BS bs)`
Make the SelectCallback call and reset the hasSelected value to false.
`void`
StatusManager.`setStatusStructureModified(int atomIndex, int modelIndex, int mode, String msg, int n, BS bsAtoms)`
`void`
Viewer.`translate(char xyz, float x, char type, BS bsAtoms)`
Method parameters in org.jmol.viewer with type arguments of type BS
Modifier and Type
Method
Description
`String`
Viewer.`getCommands(Map<String,BS> htDefine, Map<String,BS> htMore, String select)`

## Uses of BS in org.openscience.jmol.app.janocchio

Constructors in org.openscience.jmol.app.janocchio with parameters of type BS
Modifier
Constructor
Description
``
`NmrMolecule(NMR_JmolPanel nmrPanel, BS bsMol, String[] labelArray, boolean forNOE)`